"Нет установленного приложения с меткой" admin "" в пустом проекте Django 2.2

Tommy спросил: 11 марта 2019 в 07:41 в: python

Я начинаю новый проект в Django 2.2, используя те же команды, что и всегда:

python3 -m venv django-env
. django-env/bin/activate
pip install django
django-admin startproject mysite
cd mysite/
python3 manage.py runserver 8080

Это должно привести к запуску сайта Django, готового написать некоторый код. К сожалению, сейчас я получаю странную ошибку:

LookupError: No installed app with label 'admin'.

Полный возврат:

Watching for file changes with StatReloader
Exception in thread Thread-1:
Traceback (most recent call last):
  File "/usr/lib64/python3.6/threading.py", line 916, in _bootstrap_inner
    self.run()
  File "/usr/lib64/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/utils/autoreload.py", line 54, in wrapper
    fn(*args, **kwargs)
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/core/management/commands/runserver.py", line 109, in inner_run
    autoreload.raise_last_exception()
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/utils/autoreload.py", line 77, in raise_last_exception
    raise _exception[0](_exception[1]).with_traceback(_exception[2])
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/utils/autoreload.py", line 54, in wrapper
    fn(*args, **kwargs)
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/__init__.py", line 24, in setup
    apps.populate(settings.INSTALLED_APPS)
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/apps/registry.py", line 114, in populate
    app_config.import_models()
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/apps/config.py", line 211, in import_models
    self.models_module = import_module(models_module_name)
  File "/usr/lib64/python3.6/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 994, in _gcd_import
  File "<frozen importlib._bootstrap>", line 971, in _find_and_load
  File "<frozen importlib._bootstrap>", line 955, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 665, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 678, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/contrib/auth/models.py", line 2, in <module>
    from django.contrib.auth.base_user import AbstractBaseUser, BaseUserManager
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/contrib/auth/base_user.py", line 47, in <module>
    class AbstractBaseUser(models.Model):
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/db/models/base.py", line 117, in __new__
    new_class.add_to_class('_meta', Options(meta, app_label))
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/db/models/base.py", line 321, in add_to_class
    value.contribute_to_class(cls, name)
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/db/models/options.py", line 204, in contribute_to_class
    self.db_table = truncate_name(self.db_table, connection.ops.max_name_length())
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/db/__init__.py", line 28, in __getattr__
    return getattr(connections[DEFAULT_DB_ALIAS], item)
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/db/utils.py", line 201, in __getitem__
    backend = load_backend(db['ENGINE'])
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/db/utils.py", line 110, in load_backend
    return import_module('%s.base' % backend_name)
  File "/usr/lib64/python3.6/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/db/backends/sqlite3/base.py", line 66, in <module>
    check_sqlite_version()
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/db/backends/sqlite3/base.py", line 63, in check_sqlite_version
    raise ImproperlyConfigured('SQLite 3.8.3 or later is required (found %s).' % Database.sqlite_version)
django.core.exceptions.ImproperlyConfigured: SQLite 3.8.3 or later is required (found 3.7.17).Traceback (most recent call last):
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/apps/registry.py", line 155, in get_app_config
    return self.app_configs[app_label]
KeyError: 'admin'During handling of the above exception, another exception occurred:Traceback (most recent call last):
  File "manage.py", line 21, in <module>
    main()
  File "manage.py", line 17, in main
    execute_from_command_line(sys.argv)
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/core/management/__init__.py", line 381, in execute_from_command_line
    utility.execute()
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/core/management/__init__.py", line 375, in execute
    self.fetch_command(subcommand).run_from_argv(self.argv)
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/core/management/base.py", line 323, in run_from_argv
    self.execute(*args, **cmd_options)
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/core/management/commands/runserver.py", line 60, in execute
    super().execute(*args, **options)
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/core/management/base.py", line 364, in execute
    output = self.handle(*args, **options)
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/core/management/commands/runserver.py", line 95, in handle
    self.run(**options)
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/core/management/commands/runserver.py", line 102, in run
    autoreload.run_with_reloader(self.inner_run, **options)
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/utils/autoreload.py", line 579, in run_with_reloader
    start_django(reloader, main_func, *args, **kwargs)
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/utils/autoreload.py", line 564, in start_django
    reloader.run(django_main_thread)
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/utils/autoreload.py", line 272, in run
    get_resolver().urlconf_module
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/utils/functional.py", line 80, in __get__
    res = instance.__dict__[self.name] = self.func(instance)
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/urls/resolvers.py", line 564, in urlconf_module
    return import_module(self.urlconf_name)
  File "/usr/lib64/python3.6/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 994, in _gcd_import
  File "<frozen importlib._bootstrap>", line 971, in _find_and_load
  File "<frozen importlib._bootstrap>", line 955, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 665, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 678, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "/home/ec2-user/environment/mysite/mysite/urls.py", line 20, in <module>
    path('admin/', admin.site.urls),
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/utils/functional.py", line 256, in inner
    self._setup()
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/contrib/admin/sites.py", line 529, in _setup
    AdminSiteClass = import_string(apps.get_app_config('admin').default_site)
  File "/home/ec2-user/environment/django-env/lib64/python3.6/dist-packages/django/apps/registry.py", line 162, in get_app_config
    raise LookupError(message)
LookupError: No installed app with label 'admin'.

после понижения версии Django с pip install django==2.1.8

Все вернулось в нормальное состояние и работает, как и ожидалось.

Я посмотрел примечания к выпуску Django 2.2 и список несовместимых с предыдущими версиями Изменения и устаревшие функции и ничего не нашли. Кто-нибудь может пролить свет на то, что происходит?


0 ответов